Upstream information

CVE-2014-8651 at MITRE

Description

The KDE Clock KCM policykit helper in kde-workspace before 4.11.14 and plasma-desktop before 5.1.1 allows local users to gain privileges via a crafted ntpUtility (ntp utility name) argument.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.2
Vector AV:L/AC:L/Au:N/C:C/I:C/A:C
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 904625 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • kde4-kgreeter-plugins >= 4.3.5-0.12.20.1
  • kdebase4-wallpapers >= 4.3.5-0.11.20.1
  • kdebase4-workspace >= 4.3.5-0.12.20.1
  • kdebase4-workspace-ksysguardd >= 4.3.5-0.12.20.1
  • kdm >= 4.3.5-0.12.20.1
  • kwin >= 4.3.5-0.12.20.1
Patchnames:
sledsp3-kdebase4-workspace-20160115-12380
SUSE Linux Enterprise Desktop 11 SP4
  • kde4-kgreeter-plugins >= 4.3.5-0.12.20.1
  • kdebase4-wallpapers >= 4.3.5-0.11.20.1
  • kdebase4-workspace >= 4.3.5-0.12.20.1
  • kdebase4-workspace-ksysguardd >= 4.3.5-0.12.20.1
  • kdm >= 4.3.5-0.12.20.1
  • kwin >= 4.3.5-0.12.20.1
Patchnames:
sledsp4-kdebase4-workspace-20160115-12380
SUSE Linux Enterprise Server 11 SP3
  • kde4-kgreeter-plugins >= 4.3.5-0.12.20.1
  • kdebase4-wallpapers >= 4.3.5-0.11.20.1
  • kdebase4-workspace >= 4.3.5-0.12.20.1
  • kdebase4-workspace-ksysguardd >= 4.3.5-0.12.20.1
  • kdm >= 4.3.5-0.12.20.1
  • kwin >= 4.3.5-0.12.20.1
Patchnames:
slessp3-kdebase4-workspace-20160115-12380
SUSE Linux Enterprise Server 11 SP4
  • kde4-kgreeter-plugins >= 4.3.5-0.12.20.1
  • kdebase4-wallpapers >= 4.3.5-0.11.20.1
  • kdebase4-workspace >= 4.3.5-0.12.20.1
  • kdebase4-workspace-ksysguardd >= 4.3.5-0.12.20.1
  • kdm >= 4.3.5-0.12.20.1
  • kwin >= 4.3.5-0.12.20.1
Patchnames:
slessp4-kdebase4-workspace-20160115-12380
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • kde4-kgreeter-plugins >= 4.3.5-0.12.20.1
  • kdebase4-wallpapers >= 4.3.5-0.11.20.1
  • kdebase4-workspace >= 4.3.5-0.12.20.1
  • kdebase4-workspace-ksysguardd >= 4.3.5-0.12.20.1
  • kdm >= 4.3.5-0.12.20.1
  • kwin >= 4.3.5-0.12.20.1
Patchnames:
slessp3-kdebase4-workspace-20160115-12380
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • kde4-kgreeter-plugins >= 4.3.5-0.12.20.1
  • kdebase4-wallpapers >= 4.3.5-0.11.20.1
  • kdebase4-workspace >= 4.3.5-0.12.20.1
  • kdebase4-workspace-ksysguardd >= 4.3.5-0.12.20.1
  • kdm >= 4.3.5-0.12.20.1
  • kwin >= 4.3.5-0.12.20.1
Patchnames:
slessp4-kdebase4-workspace-20160115-12380
SUSE Linux Enterprise Server for VMWare 11 SP3
  • kde4-kgreeter-plugins >= 4.3.5-0.12.20.1
  • kdebase4-wallpapers >= 4.3.5-0.11.20.1
  • kdebase4-workspace >= 4.3.5-0.12.20.1
  • kdebase4-workspace-ksysguardd >= 4.3.5-0.12.20.1
  • kdm >= 4.3.5-0.12.20.1
  • kwin >= 4.3.5-0.12.20.1
Patchnames:
slessp3-kdebase4-workspace-20160115-12380
SUSE Linux Enterprise Software Development Kit 11 SP3
  • kdebase4-workspace >= 4.3.5-0.12.20.1
  • kdebase4-workspace-devel >= 4.3.5-0.12.20.1
Patchnames:
sdksp3-kdebase4-workspace-20160115-12380
SUSE Linux Enterprise Software Development Kit 11 SP4
  • kdebase4-workspace >= 4.3.5-0.12.20.1
  • kdebase4-workspace-devel >= 4.3.5-0.12.20.1
Patchnames:
sdksp4-kdebase4-workspace-20160115-12380
openSUSE Leap 15.0
  • plasma5-desktop >= 5.12.5-lp150.2.1
  • plasma5-desktop-lang >= 5.12.5-lp150.2.1
Patchnames:
openSUSE Leap 15.0 GA plasma5-desktop
openSUSE Leap 42.1
  • plasma5-desktop >= 5.4.2-2.1
  • plasma5-desktop-lang >= 5.4.2-2.1
Patchnames:
openSUSE Leap 42.1 GA plasma5-desktop
openSUSE Leap 42.2
  • plasma5-desktop >= 5.8.2-1.1
  • plasma5-desktop-lang >= 5.8.2-1.1
Patchnames:
openSUSE Leap 42.2 GA plasma5-desktop
openSUSE Leap 42.3
  • plasma5-desktop >= 5.8.7.1-3.1
  • plasma5-desktop-lang >= 5.8.7.1-3.1
Patchnames:
openSUSE Leap 42.3 GA plasma5-desktop
openSUSE Tumbleweed
  • plasma5-desktop >= 5.8.4-1.1
  • plasma5-desktop-lang >= 5.8.4-1.1
Patchnames:
openSUSE Tumbleweed GA plasma5-desktop


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP1 kdebase4-workspace Released
SUSE Linux Enterprise Desktop 11 SP2 kdebase4-workspace Released
SUSE Linux Enterprise Desktop 11 SP3 kdebase4-workspace Released
SUSE Linux Enterprise Desktop 11 SP4 kdebase4-workspace Released
SUSE Linux Enterprise SDK 11 SP2 kdebase4-workspace Released
SUSE Linux Enterprise SDK 11 SP3 kdebase4-workspace Released
SUSE Linux Enterprise SDK 11 SP4 kdebase4-workspace Released
SUSE Linux Enterprise Server 11 SP1 LTSS kdebase4-workspace Released
SUSE Linux Enterprise Server 11 SP2 kdebase4-workspace Released
SUSE Linux Enterprise Server 11 SP2 LTSS kdebase4-workspace Released
SUSE Linux Enterprise Server 11 SP3 kdebase4-workspace Released
SUSE Linux Enterprise Server 11 SP4 kdebase4-workspace Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 kdebase4-workspace Released
SUSE Linux Enterprise Server for VMWare 11 SP2 kdebase4-workspace Released
SUSE Linux Enterprise Server for VMWare 11 SP3 kdebase4-workspace Released